Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.server.serverproperties
Interface ServerProperties

public interface ServerProperties
extends javax.ejb.EJBObject

Provides information about the WebLogic Integration BPM Server.

Since:
  WebLogic Process Integrator version 1.1.
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `ServerPropertiesHome`

Field Summary
`static java.lang.String` | `NAME_PROPERTY` Property name used to retrieve the product name: `"product.name"`

Method Summary
`VersionInfo` | `getPackageVersion()` Return the package version.
`java.util.Properties` | `getProperties()` Return the server's properties.
`VersionInfo` | `getServerVersion()` Return the server version.
`VersionInfo` | `getTemplateDefinitionVersion()` Return the template definition DTD version supported by the server.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Field Detail

### NAME_PROPERTY

    public static final java.lang.String NAME_PROPERTY

  Property name used to retrieve the product name: `"product.name"`

Method Detail

### getServerVersion

    public VersionInfo getServerVersion()
                                 throws java.rmi.RemoteException

  Return the server version. This method is idempotent.

  Returns:
    an object representing the server's version number.

### getTemplateDefinitionVersion

    public VersionInfo getTemplateDefinitionVersion()
                                             throws java.rmi.RemoteException

  Return the template definition DTD version supported by the server. This always matches the version of the product in which the DTD was last changed. This method is idempotent.

  Returns:
    the template definition version.

### getPackageVersion

    public VersionInfo getPackageVersion()
                                  throws java.rmi.RemoteException

  Return the package version. This method is idempotent.

  Returns:
    an object representing the package version this server supports
  Since:
    WebLogic Integration 7.0

### getProperties

    public java.util.Properties getProperties()
                                       throws java.rmi.RemoteException

  Return the server's properties. The object returned contains the Java system properties and additional properties whose names are described herein. This method is idempotent.

  Returns:
    The server properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)